Skip to main content
GET
/
api
/
v2
/
network
/
dashboard
/
statistics
/
top-offers
Get top offers
curl --request GET \
  --url https://{domain}/api/v2/network/dashboard/statistics/top-offers \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/network/dashboard/statistics/top-offers"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/network/dashboard/statistics/top-offers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "rows": [
      {
        "entity": {
          "id": 123,
          "title": "<string>"
        },
        "value": 123,
        "value_prev": 123,
        "change": 123,
        "currency": "<string>"
      }
    ]
  }
}
{
  "message": "Request could not be parsed.",
  "success": false,
  "info": {
    "errors": {}
  }
}
{
  "message": "API key is invalid or missing.",
  "success": false
}
{
  "message": "This endpoint is not available for your role.",
  "success": false
}
{
  "message": "Resource not found.",
  "success": false
}
{
  "message": "An unexpected error occurred.",
  "success": false,
  "info": {
    "errors": {}
  }
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

rangeFrom
string<date>

Date range start (YYYY-MM-DD).

rangeTo
string<date>

Date range end (YYYY-MM-DD).

limit
integer

Number of results.

currency
string

Currency code used to convert monetary values in the widget response.

Response

Top offers.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object